%global modname mailman3_fedmsg_plugin

%{!?python3_pkgversion: %global python3_pkgversion 3}

Name:               mailman3-fedmsg-plugin
Version:            0.5
Release:            27%{?dist}
Summary:            Emit fedmsg messages from mailman3

License:            LGPLv2+
URL:                http://pypi.python.org/pypi/mailman3-fedmsg-plugin
Source0:            http://pypi.python.org/packages/source/m/%{name}/%{name}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools

Requires:           python%{python3_pkgversion}-fedmsg-core

%description
Publish notifications about mails to the fedmsg bus.

Enable this by adding the following to your mailman.cfg file::

    [archiver.fedmsg]
    # The class implementing the IArchiver interface.
    class: mailman_fedmsg_plugin.Archiver
    enable: yes

You can exclude certain lists from fedmsg publication by
adding them to a 'mailman.excluded_lists' list in /etc/fedmsg.d/::

    config = {
        'mailman.excluded_lists': ['bugzilla', 'commits'],
    }

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE
%{python3_sitelib}/%{modname}.py*
%{python3_sitelib}/__pycache__/%{modname}*
%{python3_sitelib}/%{modname}-%{version}*

%changelog
* Wed Apr 03 2024 Michal Konečný <mkonecny@redhat.com> - 0.5-27
- Initial version for EPEL 9
